Opened 8 years ago

Closed 8 years ago

#9966 closed Bug Report - General (fixed)

mythfilldatabase

Reported by: lars.schmohl@… Owned by: stuartm
Priority: minor Milestone: 0.25
Component: MythTV - Mythfilldatabase Version: Master Head
Severity: medium Keywords:
Cc: Ticket locked: no

Description

unable to import from xmltv.

Program are not shown in the listing. No recordings are scheduled.

Got this mysql import:.

DB Error (MSqlQuery): Query was: REPLACE INTO program ( chanid, title, subtitle, description, category, category_type, starttime, endtime, closecaptioned, stereo, hdtv, subtitled, subtitletypes, audioprop, videoprop, partnumber, parttotal, syndicatedepisodenumber, airdate, originalairdate,listingsource, seriesid, programid, previouslyshown, stars, showtype, title_pronounce, colorcode ) VALUES( ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?) Bindings were: :AIRDATE="2011", :AUDIOPROP=1, :CATEGORY="unterhaltung (shows/comedy)", :CATTYPE=NULL, :CC=false, :CHANID=29011, :COLORCODE="", :DESCRIPTION="", :ENDTIME=2011-08-26T23:33:00, :HASSUBTITLES=false, :HDTV=false, :LSOURCE=4, :ORIGAIRDATE=NULL, :PARTNUMBER=0, :PARTTOTAL=0, :PREVSHOWN=false, :PROGRAMID="", :SERIESID="61078915", :SHOWTYPE="", :STARS="", :STARTTIME=2011-08-26T23:30:00, :STEREO=true, :SUBTITLE="", :SUBTYPES=0, :SYNDICATENO="", :TITLE="heute-show xxs", :TITLEPRON="", :VIDEOPROP=0

when i set the cat type in the db (UPDATE program SET category_type="genre"), the program listing is shown and recordings are scheduled.

Change History (7)

comment:1 Changed 8 years ago by danielk

Priority: criticalminor
Severity: highmedium
Status: newinfoneeded_new

Lars, does this still happen with [d85b750fdea] ?

comment:2 Changed 8 years ago by lars.schmohl@…

i have this version: 2:0.25.0~master.20110805.1fb0a77-0ubuntu0mythbuntu2

will check again with the latest version

comment:3 Changed 8 years ago by amlopezalonso@…

I do not know if this is fully related but since a couple of trunk upgrades Mythfrontend does not let me schedule any new recordings. Previously created rules are not affected.anonymous

comment:4 Changed 8 years ago by lars.schmohl@…

i have checked with version '0.25.0~master.20110806.d85b750-0ubuntu0mythbuntu2'

still can not import xmltv data corectly

comment:5 Changed 8 years ago by managementboy@…

fixed on my system as of change "20110808.01a91b7"

comment:6 Changed 8 years ago by lars.schmohl@…

still got this error: 2011-08-08 23:52:08.014856 E Original query failed, but resend with empty strings in place of NULL strings worked. DB Error (MSqlQuery): Query was: REPLACE INTO program ( chanid, title, subtitle, description, category, category_type, starttime, endtime, closecaptioned, stereo, hdtv, subtitled, subtitletypes, audioprop, videoprop, partnumber, parttotal, syndicatedepisodenumber, airdate, originalairdate,listingsource, seriesid, programid, previouslyshown, stars, showtype, title_pronounce, colorcode ) VALUES( ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?) Bindings were: :AIRDATE="2011", :AUDIOPROP=0, :CATEGORY="serien (soap)", :CATTYPE=NULL, :CC=false, :CHANID=7302, :COLORCODE="", :DESCRIPTION="Steve Backshall sets out to visit six continents in search of Earth's 60 deadliest animals", :ENDTIME=2011-08-06T08:35:00, :HASSUBTITLES=false, :HDTV=false, :LSOURCE=4, :ORIGAIRDATE=NULL, :PARTNUMBER=0, :PARTTOTAL=0, :PREVSHOWN=false, :PROGRAMID="", :SERIESID="129235232", :SHOWTYPE="", :STARS="", :STARTTIME=2011-08-06T08:00:00, :STEREO=false, :SUBTITLE="", :SUBTYPES=0, :SYNDICATENO="", :TITLE="Deadly 60", :TITLEPRON="", :VIDEOPROP=0 Driver error was [2/1048]: QMYSQL3: Unable to execute statement Database error was: Column 'category_type' cannot be null

installed version: 2:0.25.0~master.20110808.01a91b7-0ubuntu0mythbuntu2

comment:7 Changed 8 years ago by Github

Milestone: unknown0.25
Resolution: fixed
Status: infoneeded_newclosed

Fixes #9966. cattype should not be null.

Branch: master Changeset: a2eca2099df3663ba9b027fbadff4a07f2c039f4

Note: See TracTickets for help on using tickets.